#
# spec file for package python3-pyinotify
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyinotify
Version:        0.9.6
Release:        6.1
Summary:        Python module for watching filesystems changes
License:        MIT
Group:          Development/Libraries/Python
Url:            http://github.com/seb-m/pyinotify
Source:         https://pypi.python.org/packages/source/p/pyinotify/pyinotify-%{version}.tar.gz
Source1:        pyinotify
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
pyinotify is a Python module for watching filesystems changes. By its design
pyinotify can be used for any kind of fs monitoring.

pyinotify relies on a recent Linux Kernel feature (merged in kernel 2.6.13)
called inotify. inotify is an event-driven notifier, its notifications are
exported from kernel space to user space. The raw interface of inotify is
compounded of three system calls. pyinotify binds these system calls and
provides an implementation on top of them offering a generic and abstract way
to use inotify with Python. Pyinotify doesn't requires much detailed knowledge
of inotify. Moreover, it only needs few statements for initializing, watching,
handling (eventually trough a new separate thread), and processing events
notifications through subclassing. The only things to know is the path of items
to watch, the kind of events to monitor and the actions to execute on these
notifications.

%prep
%setup -q -n pyinotify-%{version}
# Use the good Python interpreter
sed -i "s|python|python3|g" %{SOURCE1}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -D -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/pyinotify-%{py3_ver}

%files
%defattr(-,root,root)
%doc ACKS COPYING README.md python2/examples
%{_bindir}/pyinotify-%{py3_ver}
%{python3_sitelib}/*

%changelog
* Fri Jun  5 2015 arun@gmx.de
- update to version 0.9.6:
  * Fix doc indent
  * Improve documentation
  * Only close a valid file descriptor
  * Access /proc/sys instead of using sysctl to access inotify's attributes
  * Fix documentation typo
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update source url to pypi
- update to version 0.9.5 (taken from git log):
  * Implement stop method in AsyncioNotifier
  * Remove extra lines, fix indents
  * Update pyinotify.py
  * Allow TornadoAsyncNotifier.stop() to clean up all hanging refs.
  * doc update
  * Add asyncio example
  * Add asyncio Notifier adapter
  * Fix ExcludeFilter docstring examples.
  * Add new classifiers.
  * Typo.
  * Improve example daemon.py.
  * Stub support for Pyinotify on FreeBSD.
  * Add WatchManager attribute to ignore events.
  * Fix /proc inotify interfaces.
  * Update Travis conf.
  * Handle OSError exception in process_IN_CREATE.
  * Add python-3.3 to travis
  * py-2.5 removed as per http://about.travis-ci.org/blog/2013-11-18-upcoming-build-environment-updates/
  * add glob option to command line
  * Fall back to glob.glob() on Python 2.4
* Fri Jan 18 2013 saschpe@suse.de
- Avoid using github source link to please factory-auto
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
